commit 092eac0515887af6f726a9aa0b1d4fe12a1779cb
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Oct 8 02:27:03 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d1e331385fe..2d152d723de 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122187
+	* config/avr/avr.cc (avr_out_extr, avr_out_extr_not):
+	Make a local copy of the passed rtx[] operands.
+
 2025-10-03  Robin Dapp  <rdapp@ventanamicro.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6a36bef6ea5..b95af03f6e9 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251007
+20251008
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 66ee6a96bc5..7a48800922e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-07  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122187
+	* gcc.target/avr/torture/pr122187.c: New test.
+
 2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:

